[ARM Testing Update] 2020-06-17 - Plasma Framework, KDE Plasma, Yay, Pamac and kernels

Hello ARM community.

A small testing update!


Some highlights:

  • Some of our kernels got updated
  • Renamed our mainline RC kernel to linux-rc from linux-aarch64-rc
  • Yay got updated to version 10.0.0
  • Pamac is now at version 9.5.5
  • Linux-RC kernel is now at 5.8-rc1 (does not have all the pinebook pro patches yet)
  • KDE Plasma version 5.19.1
  • Lots of python packages got updated

Upstream Notifications:

Older notifications

The nss package requires manual intervention:
https://www.archlinux.org/news/nss3511-1-and-lib32-nss3511-1-updates-require-manual-intervention/
The packages hplip and firewalld requires manual intervention:
https://www.archlinux.org/news/hplip-3203-2-update-requires-manual-intervention/
https://www.archlinux.org/news/firewalld081-2-update-requires-manual-intervention/


Package Changes (Wed Jun 17 11:30:12 CEST 2020)

  • arm-testing community aarch64: 174 new and 165 removed package(s)
  • arm-testing core aarch64: 12 new and 11 removed package(s)
  • arm-testing extra aarch64: 207 new and 209 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-12         2020-06-17
-------------------------------------------------------------------------------
                     blender-2.7-es22.79b.r71421.e045fe53f1b-22.79b.r71421.e045fe53f1b-3
                 breath2-icon-themes              1.0.9-1             1.0.10-1
                   breath2-wallpaper              1.0.9-1             1.0.10-1
                      dkms-rtl8723cs         2020.03.02-1         2020.06.16-1
                            electron              9.0.3-1              9.0.4-2
                    plasma-mobile-nm             5.19.0-1             5.19.1-1
                         plasma-nano             5.19.0-1             5.19.1-1
             plasma-phone-components             5.19.0-1             5.19.1-1
              plasma5-themes-breath2              1.0.9-1             1.0.10-1
                          rpi-eeprom         2020.06.12-2         2020.06.15-1
                  sddm-breath2-theme              1.0.9-1             1.0.10-1
                                 yay              9.4.7-1             10.0.0-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-12         2020-06-17
-------------------------------------------------------------------------------
                               acorn            1:7.3.0-1            1:7.3.1-1
                                adns              1.5.1-3              1.6.0-1
                          aliyun-cli             3.0.42-1             3.0.46-1
                     archlinux-repro           20200527-1           20200613-1
                            arpwatch            2.1a15-15                3.1-1
                           aspell-it       2.2_20050523-6       2.4_20070901-1
                             asunder              2.9.5-1              2.9.6-1
                              awxkit             11.2.0-1             12.0.0-1
                           babel-cli              7.7.7-1              7.8.0-1
                             bashtop              0.9.1-1             0.9.11-1
                             bchoppr              1.6.2-1              1.6.4-1
                            binaryen               1:93-1               1:94-1
                               blosc             1.18.1-1             1.19.0-1
                               boinc             7.16.6-1             7.16.7-1
                           boinc-nox             7.16.6-1             7.16.7-1
                                bolt                0.8-3                0.9-1
                               broot             0.14.2-1             0.15.1-1
                              bslizr              1.2.6-2              1.2.8-1
                       budgie-extras              1.0.1-1              1.0.2-1
                              catch2             2.12.1-1             2.12.2-1
                            checksec              2.1.0-2              2.2.2-1
                                cimg              2.9.0-1              2.9.1-1
                             cockpit                221-1              221.1-1
                   cockpit-dashboard                221-1              221.1-1
                      cockpit-docker                221-1              221.1-1
                    cockpit-machines                221-1              221.1-1
                         cockpit-pcp                221-1              221.1-1
                              conmon           1:2.0.17-1           1:2.0.18-1
                              dbmail             3.2.3-11             3.2.3-12
                         dns-lexicon             3.3.24-1             3.3.26-1
                             e-antic              0.1.6-1              0.1.7-1
                          emscripten            1.39.17-1            1.39.18-2
                                exim               4.94-1               4.94-2
                              fcitx5     0.0.0.20200610-1     0.0.0.20200615-1
               fcitx5-chinese-addons     0.0.0.20200610-1     0.0.0.20200616-1
                           fcitx5-qt     0.0.0.20200603-1     0.0.0.20200616-1
                           findomain              1.6.0-1              1.7.0-1
                             fluxctl             1.18.0-1             1.19.0-2
                             fscrypt              0.2.8-1              0.2.9-1
                                 gap             4.11.0-3             4.11.0-4
                             gap-doc             4.11.0-3             4.11.0-4
                        gap-packages             4.11.0-3             4.11.0-4
                           glusterfs              1:7.4-1              1:7.6-1
                                helm              3.2.2-1              3.2.4-1
                               hexyl              0.7.0-1              0.8.0-1
                      home-assistant            0.107.7-1            0.111.3-1
                             htmldoc              1.9.8-1              1.9.9-1
                           hypercorn             0.10.0-1             0.10.1-1
                           i2c-tools                4.1-3                4.1-4
                          kcm-fcitx5     0.0.0.20200603-2     0.0.0.20200615-1
                   libcloudproviders              0.3.0-4              0.3.1-1
                              libime     0.0.0.20200610-1     0.0.0.20200614-1
                           libmysofa                1.0-1                1.1-2
                           lttng-ust             2.11.1-1             2.12.0-1
                         lxqt-runner             0.15.0-1             0.15.0-2
                              motion              4.2.2-1              4.3.1-1
             nextcloud-app-bookmarks            1:3.1.1-1            1:3.2.1-1
                 nextcloud-app-notes              3.5.0-1              3.5.1-1
                             ngspice                 31-1                 32-1
                              nimble           1:0.11.0-1           1:0.11.4-1
                       nlohmann-json              3.7.3-4              3.8.0-1
                            nvme-cli             1.11.2-1               1.12-1
                            openipmi             2.0.28-1             2.0.29-1
                     owncloud-client        2.6.1.13407-1        2.6.3.14058-1
                              packer              1.5.6-1              1.6.0-1
                            pdfcrack               0.18-1               0.19-1
                perl-gtk3-simplelist               0.20-1               0.21-1
                perl-test-mockmodule            0.172.0-1            0.173.0-1
                        phpldapadmin             1.2.3-13              1.2.5-2
                            polymake             4.0.r1-6                4.1-1
                           profanity            1:0.8.1-2            1:0.9.2-1
                       profanity-gtk            1:0.8.1-2            1:0.9.2-1
                        prusa-slicer              2.2.0-5              2.2.0-6
                     python-autobahn             20.4.3-1             20.6.1-1
                 python-aws-xray-sdk              2.5.0-1              2.6.0-1
                        python-blosc              1.9.0-1              1.9.1-1
                      python-certifi         2019.11.28-1         2020.4.5.2-1
                        python-cliff              3.2.0-1              3.3.0-1
                         python-cmd2              1.0.2-1              1.1.0-1
                   python-dateparser              0.7.4-1              0.7.6-1
                     python-django-q              1.2.3-1              1.2.4-1
                      python-dulwich             0.20.2-1             0.20.3-1
                  python-elementpath              1.4.5-1              1.4.6-1
                        python-faker              4.1.0-1              4.1.1-1
                python-flask-caching              1.8.0-1              1.9.0-1
                    python-fonttools             4.11.0-1             4.12.0-1
                       python-gevent             20.6.0-1             20.6.2-1
              python-google-api-core             1.16.0-1             1.20.0-1
     python-google-api-python-client              1.8.3-1              1.9.3-1
                  python-google-auth             1.17.0-1             1.17.2-1
     python-googleapis-common-protos             1.51.0-1             1.52.0-1
                     python-greenlet             0.4.15-4             0.4.16-1
          python-importlib_resources              2.0.0-1              2.0.1-1
                     python-jupymake                0.9-5                0.9-6
                  python-lark-parser              0.8.6-1              0.8.9-1
                     python-lttngust             2.11.1-1             2.12.0-1
                  python-meilisearch             0.10.1-1             0.11.0-1
               python-more-itertools              8.3.0-1              8.4.0-1
                    python-ntlm-auth              1.4.0-1              1.5.0-1
                     python-openmdao              3.1.0-1              3.1.1-1
                      python-osc-lib              2.1.0-1              2.2.0-1
                       python-pandas              1.0.3-1              1.0.4-1
                   python-pre-commit              2.5.0-1              2.5.1-1
                  python-pysol_cards             0.8.18-1             0.10.1-1
                      python-pywinrm              0.4.1-1              0.4.1-2
                    python-responses            0.10.14-1            0.10.15-1
                          python-rsa                4.0-4                4.6-1
                       python-scrypt             0.8.13-1             0.8.15-1
                       python-semver             2.10.1-1             2.10.2-1
                       python-sphinx              3.1.0-1              3.1.1-1
                    python-testinfra              5.1.0-1              5.2.1-1
                         python-trio             0.15.1-1             0.16.0-1
                      python-wcwidth              0.2.4-1              0.2.4-2
                   python-xlsxwriter              1.2.8-1              1.2.9-1
                    python-xmlschema              1.2.0-1              1.2.2-1
                    python-zstandard             0.13.0-1             0.14.0-1
                      python2-gevent             20.6.0-1             20.6.2-1
                    python2-greenlet             0.4.15-4             0.4.16-1
                     python2-wcwidth              0.2.4-1              0.2.4-2
                            rabbitmq              3.8.3-1              3.8.4-1
                       rabbitmqadmin              3.8.3-1              3.8.4-1
                              recoll             1.27.1-1             1.27.2-1
                                repo                2.7-1                2.8-1
                           retroarch              1.8.8-1              1.8.8-2
                              rmlint             2.10.0-1             2.10.1-1
                     rmlint-shredder             2.10.0-1             2.10.1-1
                            ruby-ffi             1.12.2-2             1.13.1-1
                       rust-analyzer           20200608-1           20200615-1
                               s-tui              1.0.0-1              1.0.1-1
                               scdoc             1.10.1-1             1.11.0-1
                               scrot                1.2-1                1.3-1
                           shorewall            5.2.4.5-1              5.2.5-1
                      shorewall-core            5.2.4.5-1              5.2.5-1
                          shorewall6            5.2.4.5-1              5.2.5-1
                               squid               4.10-2               4.12-1
                            sshuttle             0.78.5-2              1.0.1-1
                          subsurface              4.9.4-1              4.9.5-1
                    subsurface-libdc              4.9.4-1              4.9.5-1
                        systemd-swap              4.1.0-1              4.2.1-1
                             todoman              3.7.0-2              3.8.0-2
                       ttf-fira-code                5.1-1                5.2-1
                            txt2tags                3.3-1                3.7-1
         v2ray-domain-list-community       202006111027-1       202006141101-1
                          vdirsyncer             0.16.8-1             0.16.8-2
                        vim-fugitive                3.0-1                3.2-1
                        vim-nerdtree             6.7.10-1             6.7.12-1
                      woff-fira-code                5.1-1                5.2-1
                     woff2-fira-code                5.1-1                5.2-1
                           wordpress              5.4.1-1              5.4.2-1
                              wpscan            1:3.8.1-1            1:3.8.2-1
                            xcircuit            3.10.24-1            3.10.26-1
                           xlockmore               5.63-1               5.64-1
                          youtube-dl         2020.06.06-1       2020.06.16.1-1
          deepin-qt5platform-plugins                    -             5.0.12-1
                               doctl                    -             1.45.1-2
                            kylin-nm                    -              1.2.4-1
                           opentoonz                    -              1.4.0-2
                            pencil2d                    -              0.6.4-3
                      python-pillow6                    -              6.2.1-1
                     python2-pillow6                    -              6.2.1-1
                             superlu                    -             5.2.1-10
                             xortool                    -               0.99-2


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-12         2020-06-17
-------------------------------------------------------------------------------
                    linux-aarch64-rc            5.7.rc7-8                    -
            linux-aarch64-rc-headers            5.7.rc7-8                    -
                   linux-pinebookpro              5.7.0-1              5.7.0-2
           linux-pinebookpro-headers              5.7.0-1              5.7.0-2
                           linux-vim            5.7.0-0.3              5.7.2-1
                   linux-vim-headers            5.7.0-0.3              5.7.2-1
                     manjaro-keyring           20200421-1           20200603-1
                   uboot-pinebookpro       2020.07rc4-1.1         2020.07rc4-3
                            linux-rc                    -            5.8.rc1-1
                    linux-rc-headers                    -            5.8.rc1-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-12         2020-06-17
-------------------------------------------------------------------------------
                                krb5             1.18.1-1             1.18.2-1
                              libcap               2.34-1               2.35-1
                            libnftnl              1.1.6-1              1.1.7-1
                   openssl-cryptodev                    -            1.1.1.g-1


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-12         2020-06-17
-------------------------------------------------------------------------------
                         kinfocenter             5.19.0-1             5.19.1-1
                              libolm              3.1.4-1              3.1.5-1
                            mesa-git20.2.0_devel.124677.dd81f4853c8-120.2.0_devel.124965.356be07ce27-1
                           pamac-cli              9.5.4-1              9.5.5-1
                        pamac-common              9.5.4-1              9.5.5-1
                pamac-flatpak-plugin              9.5.4-1              9.5.5-1
                           pamac-gtk              9.5.4-1              9.5.5-1
                   pamac-snap-plugin              9.5.4-1              9.5.5-1
             pamac-tray-appindicator              9.5.4-1              9.5.5-1
                 spectral-matrix-git  218.r633.gff7a217-1  218.r637.gca91709-1
                 kirigami-addons-git                    -        r19.a445f08-1
                  manjaro-tools-base                    -            0.15.10-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          2020-06-12         2020-06-17
-------------------------------------------------------------------------------
                         389-ds-base            1.4.4.2-5            1.4.4.3-1
                        arch-signoff                0.4-1                0.5-1
            archlinux-appstream-data           20200516-1           20200612-1
                                asio             1.14.0-1             1.16.1-1
                              attica             5.70.0-1             5.71.0-1
                               baloo             5.70.0-1             5.71.0-1
                           bluedevil           1:5.19.0-1           1:5.19.1-1
                            bluez-qt             5.70.0-1             5.71.0-1
                              breeze             5.19.0-1             5.19.1-1
                         breeze-grub             5.19.0-1             5.19.1-1
                          breeze-gtk             5.19.0-1             5.19.1-1
                        breeze-icons             5.70.0-1             5.71.0-1
                            chromium       83.0.4103.97-2      83.0.4103.106-1
                            discover             5.19.0-1             5.19.1-1
                                dkms              2.8.1-3              2.8.1-4
                             drkonqi             5.19.0-1             5.19.1-1
                 extra-cmake-modules             5.70.0-1             5.71.0-1
                              ffmpeg            1:4.2.3-5            2:4.2.3-1
                frameworkintegration             5.70.0-1             5.71.0-1
                       gnome-desktop           1:3.36.2-1         1:3.36.3.1-1
                        gnome-python            2.28.1-11                    -
                gnome-python-desktop            2.32.0-18                    -
                             haveged             1.9.10-1             1.9.11-1
                               hplip           1:3.20.5-2           1:3.20.6-1
                         imagemagick          7.0.10.18-1          7.0.10.19-1
                     imagemagick-doc          7.0.10.18-1          7.0.10.19-1
                           iso-codes                4.4-2              4.5.0-1
                            jemalloc            1:5.2.1-2            1:5.2.1-3
                         kactivities             5.70.0-1             5.71.0-1
                   kactivities-stats             5.70.0-1             5.71.0-1
                   kactivitymanagerd             5.19.0-1             5.19.1-1
                             kapidox             5.70.0-1             5.71.0-1
                            karchive             5.70.0-1             5.71.0-1
                               kauth             5.70.0-1             5.71.0-1
                          kbookmarks             5.70.0-1             5.71.0-1
                       kcalendarcore             5.70.0-1             5.71.0-1
                            kcmutils             5.70.0-1             5.71.0-1
                             kcodecs             5.70.0-1             5.71.0-1
                         kcompletion             5.70.0-1             5.71.0-1
                             kconfig             5.70.0-1             5.71.0-1
                      kconfigwidgets             5.70.0-1             5.71.0-1
                           kcontacts           1:5.70.0-1           1:5.71.0-1
                         kcoreaddons             5.70.0-1             5.71.0-1
                              kcrash             5.70.0-1             5.71.0-1
                         kdbusaddons             5.70.0-1             5.71.0-1
                       kde-cli-tools             5.19.0-1             5.19.1-1
                      kde-gtk-config             5.19.0-1             5.19.1-1
                        kdeclarative             5.70.0-1             5.71.0-1
                         kdecoration             5.19.0-1             5.19.1-1
                                kded             5.70.0-1             5.71.0-1
                     kdelibs4support             5.70.0-1             5.71.0-1
                    kdeplasma-addons             5.19.0-1             5.19.1-1
                     kdesignerplugin             5.70.0-1             5.71.0-1
                               kdesu             5.70.0-1             5.71.0-1
                           kdewebkit             5.70.0-1             5.71.0-1
                              kdnssd             5.70.0-1             5.71.0-1
                           kdoctools             5.70.0-1             5.71.0-1
                          kemoticons             5.70.0-1             5.71.0-1
                       kfilemetadata             5.70.0-1             5.71.0-1
                             kgamma5             5.19.0-1             5.19.1-1
                        kglobalaccel             5.70.0-1             5.71.0-1
                          kguiaddons             5.70.0-1             5.71.0-1
                           kholidays           1:5.70.0-1           1:5.71.0-1
                            khotkeys             5.19.0-1             5.19.1-1
                               khtml             5.70.0-1             5.71.0-1
                               ki18n             5.70.0-1             5.71.0-1
                         kiconthemes             5.70.0-1             5.71.0-1
                           kidletime             5.70.0-1             5.71.0-1
                       kimageformats             5.70.0-3             5.71.0-1
                         kinfocenter             5.19.0-1             5.19.1-1
                               kinit             5.70.0-1             5.71.0-1
                                 kio             5.70.1-1             5.71.0-1
                           kirigami2             5.70.0-1             5.71.0-1
                              kismet         2020_04_R2-2         2020_04_R3-2
                         kitemmodels             5.70.0-1             5.71.0-1
                          kitemviews             5.70.0-1             5.71.0-1
                         kjobwidgets             5.70.0-1             5.71.0-1
                                 kjs             5.70.0-1             5.71.0-1
                            kjsembed             5.70.0-1             5.71.0-1
                        kmediaplayer             5.70.0-1             5.71.0-1
                           kmenuedit             5.19.0-1             5.19.1-1
                          knetattach             5.19.0-2             5.19.1-1
                           knewstuff             5.70.0-1             5.71.0-1
                      knotifications             5.70.0-1             5.71.0-1
                       knotifyconfig             5.70.0-1             5.71.0-1
                            kpackage             5.70.0-1             5.71.0-1
                              kparts             5.70.0-1             5.71.0-1
                             kpeople             5.70.0-1             5.71.0-1
                           kplotting             5.70.0-1             5.71.0-1
                                kpty             5.70.0-1             5.71.0-1
                        kquickcharts             5.70.0-1             5.71.0-1
                               kross             5.70.0-1             5.71.0-1
                             krunner             5.70.0-1             5.71.0-1
                             kscreen             5.19.0-1             5.19.1-1
                       kscreenlocker             5.19.0-1             5.19.1-1
                            kservice             5.70.0-1             5.71.0-1
                         ksshaskpass             5.19.0-1             5.19.1-1
                           ksysguard             5.19.0-2             5.19.1-1
                         ktexteditor             5.70.1-1             5.71.0-1
                        ktextwidgets             5.70.0-1             5.71.0-1
                     kunitconversion             5.70.0-1             5.71.0-1
                             kwallet             5.70.0-1             5.71.0-1
                         kwallet-pam             5.19.0-1             5.19.1-1
                            kwayland             5.70.0-1             5.71.0-1
                kwayland-integration             5.19.0-1             5.19.1-1
                     kwayland-server             5.19.0-1             5.19.1-1
                      kwidgetsaddons             5.70.0-1             5.71.0-1
                                kwin             5.19.0-1             5.19.1-1
                       kwindowsystem             5.70.0-1             5.71.0-1
                             kwrited             5.19.0-1             5.19.1-1
                             kxmlgui             5.70.0-1             5.71.0-1
                       kxmlrpcclient             5.70.0-1             5.71.0-1
                               lcms2               2.10-2               2.11-1
                            libde265              1.0.5-1              1.0.5-2
                             libexif             0.6.21-4             0.6.22-1
                          libkscreen             5.19.0-1             5.19.1-1
                        libksysguard             5.19.0-2             5.19.1-1
                  libnetfilter_queue              1.0.3-2              1.0.5-1
                   libva-mesa-driver             20.1.0-4             20.1.1-1
                        libvncserver             0.9.12-2             0.9.13-1
                             liferea             1.12.7-1             1.12.8-1
                                mesa             20.1.0-4             20.1.1-1
                          mesa-vdpau             20.1.0-4             20.1.1-1
                               milou             5.19.0-1             5.19.1-1
                     modemmanager-qt             5.70.0-1             5.71.0-1
                                 mpd            0.21.23-4            0.21.24-1
                            muparser              2.2.6-2              2.3.1-1
                                mutt             1.14.2-1             1.14.3-1
                   networkmanager-qt             5.70.0-1             5.71.0-1
                            nftables            1:0.9.4-1            1:0.9.6-1
                               nuget              5.5.1-2              5.6.0-1
                         opencl-mesa             20.1.0-4             20.1.1-1
                             openexr              2.5.1-1              2.5.2-1
                              oxygen             5.19.0-1             5.19.1-1
                        oxygen-icons           1:5.70.0-1           1:5.71.0-1
                    oxygen-icons-svg           1:5.70.0-1           1:5.71.0-1
                    perl-alien-build               2.23-1               2.26-1
                                 php              7.4.6-1              7.4.7-1
                          php-apache              7.4.6-1              7.4.7-1
                             php-cgi              7.4.6-1              7.4.7-1
                           php-dblib              7.4.6-1              7.4.7-1
                           php-embed              7.4.6-1              7.4.7-1
                         php-enchant              7.4.6-1              7.4.7-1
                             php-fpm              7.4.6-1              7.4.7-1
                              php-gd              7.4.6-1              7.4.7-1
                            php-imap              7.4.6-1              7.4.7-1
                            php-intl              7.4.6-1              7.4.7-1
                            php-odbc              7.4.6-1              7.4.7-1
                           php-pgsql              7.4.6-1              7.4.7-1
                          php-phpdbg              7.4.6-1              7.4.7-1
                          php-pspell              7.4.6-1              7.4.7-1
                            php-snmp              7.4.6-1              7.4.7-1
                          php-sodium              7.4.6-1              7.4.7-1
                          php-sqlite              7.4.6-1              7.4.7-1
                            php-tidy              7.4.6-1              7.4.7-1
                             php-xsl              7.4.6-1              7.4.7-1
          plasma-browser-integration             5.19.0-1             5.19.1-1
                      plasma-desktop             5.19.0-2             5.19.1-1
                    plasma-framework             5.70.1-2             5.71.0-1
                  plasma-integration             5.19.0-1             5.19.1-1
                           plasma-nm             5.19.0-1             5.19.1-1
                           plasma-pa             5.19.0-1             5.19.1-1
                          plasma-sdk             5.19.0-1             5.19.1-1
                  plasma-thunderbolt             5.19.0-1             5.19.1-1
                        plasma-vault             5.19.0-1             5.19.1-1
              plasma-wayland-session             5.19.0-1             5.19.1-1
                    plasma-workspace             5.19.0-1             5.19.1-1
         plasma-workspace-wallpapers             5.19.0-1             5.19.1-1
                    polkit-kde-agent             5.19.0-1             5.19.1-1
                             postfix              3.5.2-1              3.5.3-1
                          powerdevil             5.19.0-1             5.19.1-1
                              prison             5.70.0-1             5.71.0-1
            prometheus-node-exporter              1.0.0-1              1.0.1-1
                             purpose             5.70.0-1             5.71.0-1
                      python-astroid              2.4.1-1              2.4.2-2
            python-lazy-object-proxy              1.4.3-2              1.5.0-1
                       python-pylint              2.5.2-1              2.5.3-1
                   python-setuptools           1:47.1.1-1           1:47.3.0-1
                       python2-gconf            2.28.1-11                    -
                python2-gnomekeyring            2.32.0-18                    -
                       python2-isort             4.3.13-1             4.3.15-1
           python2-lazy-object-proxy              1.4.3-2              1.5.0-1
                        python2-wnck            2.32.0-18                    -
                               qhull             2019.1-4             2020.1-1
                  qqc2-desktop-style             5.70.0-2             5.71.0-1
                         sbsigntools              0.9.3-2              0.9.4-1
                            sddm-kcm             5.19.0-1             5.19.1-1
                               solid             5.70.0-1             5.71.0-1
                              sonnet             5.70.0-1             5.71.0-1
                                swig              4.0.1-2              4.0.2-1
                         syndication             5.70.0-1             5.71.0-1
                 syntax-highlighting             5.70.0-1             5.71.0-1
                      systemsettings             5.19.0-1             5.19.1-1
                        threadweaver             5.70.0-1             5.71.0-1
                             tomcat8             8.5.55-1             8.5.56-1
                        user-manager             5.19.0-1             5.19.1-1
                  vulkan-mesa-layers             20.1.0-4             20.1.1-1
                       vulkan-radeon             20.1.0-4             20.1.1-1
              xdg-desktop-portal-kde             5.19.0-1             5.19.1-1
                            xorg-twm             1.0.10-2             1.0.11-1
                              libbpf                    -              0.0.8-1

Testers needed on arm-testing branch
We are in need of testers for our arm-testing and arm-unstable branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-testing branch.

All you have to do to switch to this branch is:

  • Edit /etc/pacman-mirrors.conf and change Branch = arm-stable to Branch = arm-testing.
  • Run this command: sudo pacman-mirrors -f5 && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-testing branch.

We would then love for you to give feedback in our update posts in #manjaro-arm:arm-testing-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

1 Like

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

Old Issues

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Would I be able to use the linux-rc on the rpi4?

Last I tested the mainline kernels it did not boot correctly, so I assume no. I got a kernel panic shortly after the rainbow screen.

The rpi4 kernel packages contain the config.txt and cmdline.txt files needed to boot the system. No other kernels do, so you would have to get them from somewhere else to have a chance to boot.

1 Like

Odroid c4 up to date :slight_smile:

the kernel don't change, is it normal ?

[nlc4@c4 ~]$ uname -a
Linux c4.test.2020.05.14 5.7.2-1-MANJARO-ARM #1 SMP Wed Jun 10 21:56:16 CEST 2020 aarch64 GNU/Linux

It would only change, if there was an update to that kernel. And there was not this time.

I flashed the u-boot, that came with this update, to my Pinebook Pro. While booting, the red led, which came on shortly after pressing the power key, is now missing. After a while the green led comes on and booting continues.

Yes. The orange light is not implemented in upstream uboot. That's why it's missing. :slight_smile:

OK, thanks. Where can I get an u-boot, which supports the orange led? Is it maybe the uboot-pinebookpro-bsp 1.5-6 from the official repository?

That's what I'm using. Aside from the orange led, it offers much more power savings under mem sleep, but sound doesn't work after wake.

Be aware of the one partition vs two issue, since that bsp package is from before manjaro switched to two partitions and will come with an incorrect setting for an up-to-date system. It's a simple edit.

The uboot that supports the Orange LED is a downstream uboot, that does not get updates since support for the Pinebook Pro got into mainline.

The orange LED is purely cosmetic...

I would also really like some more testers on the uboot-pinebookpro package included in this update, before it gets to stable.

Especially if you run Manjaro on the eMMC and boot other distros via SD sometimes.
This uboot is a pure upstream one, with a patch to make it boot from SD cards before eMMC.

So any issues you encounter, I would like to know about.

I got really confused because of the missing orange led. I thought this uboot has messed up my pbp, because it didn't come on. I had my finger on the power switch for minutes. I only realized, it's something to do with the led, because I went for a screwdriver to open the case in order to disable the emmc. When I returned, I saw the login screen :woozy_face:

I prepared a sd card with mrfixit2001's latest debian image. When I booted from sd, immedately after the green led came on, the "open sesame" splash appeared. The green led started flickering (expanding the root file system) and after a short while ---- I got the manjaro splash and login screen. So after reboot it booted from emmc. Shutting down and starting again, however, booted into Debian from the sd card. From now on, the boot process is reliable. With a sd card inserted, it boots from the sd card. Otherwise it boots from emmc.

Okay. I am working on patching in the Orange LED again, since it is a good indicator that something is indeed happening. But it's a hacky patch (the dev's words), so it can't be upstreamed.

This is great news.
I am also gonna attempt a USB boot patch. :slight_smile:

The behavior of the LED and bootorder also confused me while setting up a new clean KDE install. By the way the manjaro-arm-flasher is a realy nice tool. Differently than mentioned it does not ask for sudo password.
Boot from SD card before eMMC works, but if a different ROOT partition is defined in extlinux (on SD) and ROOT_MNJRO partition is present on eMMC, extlinux.conf is ignored and ROOT_MNJRO is taken as ROOT. By renaming ROOT_MNJRO on eMMC the ROOT from extlinux.conf is used.

Just tested with a NetBSD SD card I burned and it booted up as expected.

1 Like

Ok, thanks for your answer.

Did you read this post about the n2 image I built ?

the n2 is working and reboot without problem with the 20.06 arm release, but the blue led is not blinking and stay off, the red led is on and fix...

Can I get you to test rebooting from SD booted, and see if it can reboot?

It seems to have worked as intended I believe. The order of operations was:

  1. From Manjaro ARM (on eMMC), issued shutdown
  2. Inserted NetBSD SD card and powered on PBP
  3. Automatically booted into NetBSD
  4. Issued Reboot from NetBSD
  5. Automatically booted into NetBSD again

Forum kindly sponsored by